require "jabysoft/rails_patterns/version"
require "jabysoft/rails_patterns/configuration"
require 'rails/engine'
require 'devise'

module Jabysoft
  class << self
    attr_writer :configuration
  end

  def self.configuration
    @configuration ||= Jabysoft::RailsPatterns::Configuration.new
  end

  def self.configure
    yield configuration if block_given?
  end

  module RailsPatterns
    class Engine < ::Rails::Engine
    end
  end
end
