module Jabysoft
  module ExtensionModelBehaviour
    extend ActiveSupport::Concern
    # It gives model additional scope active and combo.

    included do
      scope :active, -> { where(active: true) }
      scope :combo, -> { select(:id, scoped_attribute) }

      def self.scoped_attribute
        return :title if column_names.include? 'title'
        return :code if column_names.include? 'code'
        :name
      end
    end
  end
end